#### PyKDE - Python Bindings for KDE

# class KSycoca |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KSycoca
Inherits | TQObject, DCOPObject

### methods

- KSycoca (a0)

  returns a KSycoca instance
  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- KSycoca ()

  returns a KSycoca instance

- addFactory (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | KSycocaFactory |

- allResourceDirs ()

  returns (TQStringList)
  In versions KDE 3.2.0 and above only

- checkVersion (abortOnError = 1)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  abortOnError | bool | 1

- closeDatabase ()

  returns nothing

- databaseChanged ()

  returns nothing

- determineRelativePath (_fullpath, _resource)

  returns (TQString)
  static
  Argument | Type | Default
  --- | --- | ---
  _fullpath | TQString |
  _resource | char |

- disableAutoRebuild ()

  returns nothing
  In versions KDE 3.1.2 and above only

- findEntry (offset)

  returns (TQDataStream) type (KSycocaType)
  Argument | Type | Default
  --- | --- | ---
  offset | int |

- findFactory (id)

  returns (TQDataStream)
  Argument | Type | Default
  --- | --- | ---
  id | KSycocaFactoryId |

- flagError ()

  returns nothing
  In versions KDE 3.1.0 and above only
  static

- functions ()

  returns (QCStringList)
  In versions KDE 3.1.4 and above only

- interfaces ()

  returns (QCStringList)
  In versions KDE 3.1.4 and above only

- isBuilding ()

  returns (bool)

- isChanged (type)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  type | char |

- kfsstnd_prefixes ()

  returns (TQString)

- language ()

  returns (TQString)

- notifyDatabaseChanged (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQStringList |

- openDatabase (openDummyIfNotFound = 1)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  openDummyIfNotFound | bool | 1

- process (fun, data, replyType, replyData)

  returns (bool)
  In versions KDE 3.1.4 and above only
  Argument | Type | Default
  --- | --- | ---
  fun | TQCString |
  data | TQByteArray |
  replyType | TQCString |
  replyData | TQByteArray |

- readError ()

  returns (bool)
  In versions KDE 3.1.0 and above only
  static

- self ()

  returns (KSycoca)
  static

- timeStamp ()

  returns (ulong)

- updateSignature ()

  returns (ulong)
  In versions KDE 3.1.0 and above only

- version ()

  returns (int)
  In versions KDE 3.2.0 and above only
  static

### variables

- variables

  Variable | Type
  --- | ---
  _self | KSycoca*